<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:rg="http://RssGate/rg"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

<xsl:output method="html" indent="yes"/>

<xsl:include href="menu_var.xsl"/>
<xsl:include href="rss_body.xsl"/>
<xsl:include href="head_tag.xsl"/>

<xsl:template match="/">
  <!-- RSS 1.0  --><xsl:apply-templates select="rdf:RDF"/>
  <!-- RSS 0.91 (2.0) --><xsl:apply-templates select="rss"/>
</xsl:template>

<!-- ++++++++++ RSS 1.0 ++++++++++ -->
<xsl:template match="rdf:RDF">
<html xml:lang="ja" lang="ja">
  <head>
    <xsl:call-template name="head_tag"/>
    <title>
      RSS[<xsl:value-of select="rss:channel/rss:title"/>]
    </title>
  </head>
  <body>
    
    <xsl:call-template name="menu_bar">
      <xsl:with-param name="v_file">
        <xsl:value-of select="rss:channel/rg:link"/>
      </xsl:with-param>
      <xsl:with-param name="v_action">rss.xml</xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="v100body"/>
  </body>
</html>
</xsl:template>

<!-- ++++++++++ RSS 2.0 ++++++++++ -->
<xsl:template match="rss[@version='2.0']">
  <xsl:apply-templates select="channel" mode="v091"/>
</xsl:template>

<!-- ++++++++++ RSS 0.91 ++++++++++ -->
<xsl:template match="rss[@version='0.91']">
  <xsl:apply-templates select="channel" mode="v091"/>
</xsl:template>

<!-- ++++++++++ RSS 0.92 ++++++++++ -->
<xsl:template match="rss[@version='0.92']">
  <xsl:apply-templates select="channel" mode="v091"/>
</xsl:template>

<xsl:template match="channel" mode="v091">
<html xml:lang="ja">
  <head>
    <xsl:call-template name="head_tag"/>
    <title>
      RSS[<xsl:value-of select="title"/>]
    </title>
  </head>
  <body>
    <xsl:call-template name="menu_bar">
      <xsl:with-param name="v_file">
        <xsl:value-of select="rg:link"/>
      </xsl:with-param>
      <xsl:with-param name="v_action">rss.xml</xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="v091body"/>
  </body>
</html>
</xsl:template>


</xsl:stylesheet>
