<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:rg="http://RssGate/rg"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:content="http://purl.org/rss/1.0/modules/content/"
  xmlns:sy="http://purl.org/rss/modules/syndication/" >

<xsl:include href="rss_channel.xsl"/>
<xsl:include href="rss_item.xsl"/>

<xsl:template name="v100body">
<div class="channel">
 <xsl:call-template name="channel">
  <xsl:with-param name="image_url">        <xsl:value-of select="rss:image/rss:url"/>            </xsl:with-param>
  <xsl:with-param name="image_title">      <xsl:value-of select="rss:image/rss:title"/>          </xsl:with-param>
  <xsl:with-param name="rg_link">          <xsl:value-of select="rss:channel/rg:link"/>          </xsl:with-param>
  <xsl:with-param name="link">             <xsl:value-of select="rss:channel/rss:link"/>         </xsl:with-param>
  <xsl:with-param name="title">            <xsl:value-of select="rss:channel/rss:title"/>        </xsl:with-param>
  <xsl:with-param name="description">      <xsl:value-of select="rss:channel/rss:description"/>  </xsl:with-param>
  <xsl:with-param name="dc_date">          <xsl:value-of select="rss:channel/dc:date"/>          </xsl:with-param>
  <xsl:with-param name="sy_updatePeriod">  <xsl:value-of select="rss:channel/sy:updatePeriod"/>  </xsl:with-param>
  <xsl:with-param name="sy_updateFrequene"><xsl:value-of select="rss:channel/sy:updateFrequene"/></xsl:with-param>
  <xsl:with-param name="sy_updateBase">    <xsl:value-of select="rss:channel/sy:updateBase"/>    </xsl:with-param>
 </xsl:call-template>
    
 <ol class="items">
 <xsl:for-each select="rss:item"> 
  <xsl:call-template name="item">
   <xsl:with-param name="log_type">   <xsl:value-of select="rg:log/@type"/>   </xsl:with-param>
   <xsl:with-param name="link">       <xsl:value-of select="rss:link"/>       </xsl:with-param>
   <xsl:with-param name="title">      <xsl:value-of select="rss:title"/>      </xsl:with-param>
   <xsl:with-param name="description"><xsl:value-of select="rss:description"/></xsl:with-param>
   <xsl:with-param name="rg_revday">  <xsl:value-of select="rg:revday"/>      </xsl:with-param>
   <xsl:with-param name="dc_subject"> <xsl:value-of select="dc:subject"/>     </xsl:with-param>
   <xsl:with-param name="dc_date">    <xsl:value-of select="dc:date"/>        </xsl:with-param>
   <xsl:with-param name="content">    <xsl:value-of select="content:encoded"/></xsl:with-param>
   </xsl:call-template>    
  </xsl:for-each>
  </ol>
</div>
</xsl:template>


<xsl:template name="v091body">
<div class="channel">
 <xsl:call-template name="channel">
  <xsl:with-param name="image_url">        <xsl:value-of select="image/url"/>        </xsl:with-param>
  <xsl:with-param name="image_title">      <xsl:value-of select="image/title"/>      </xsl:with-param>
  <xsl:with-param name="rg_link">          <xsl:value-of select="rg:link"/>          </xsl:with-param>
  <xsl:with-param name="link">             <xsl:value-of select="link"/>             </xsl:with-param>
  <xsl:with-param name="title">            <xsl:value-of select="title"/>            </xsl:with-param>
  <xsl:with-param name="description">      <xsl:value-of select="description"/>      </xsl:with-param>
  <xsl:with-param name="dc_date">          <xsl:value-of select="dc:date"/>          </xsl:with-param>
  <xsl:with-param name="sy_updatePeriod">  <xsl:value-of select="sy:updatePeriod"/>  </xsl:with-param>
  <xsl:with-param name="sy_updateFrequene"><xsl:value-of select="sy:updateFrequene"/></xsl:with-param>
  <xsl:with-param name="sy_updateBase">    <xsl:value-of select="sy:updateBase"/>    </xsl:with-param>
 </xsl:call-template>
 
 <ol class="items">
 <xsl:for-each select="item">
  <xsl:call-template name="item">
   <xsl:with-param name="log_type">   <xsl:value-of select="rg:log/@type"/>   </xsl:with-param>
   <xsl:with-param name="link">       <xsl:value-of select="link"/>           </xsl:with-param>
   <xsl:with-param name="title">      <xsl:value-of select="title"/>          </xsl:with-param>
   <xsl:with-param name="description"><xsl:value-of select="description"/>    </xsl:with-param>
   <xsl:with-param name="rg_revday">  <xsl:value-of select="rg:revday"/>    </xsl:with-param>
   <xsl:with-param name="dc_subject"> <xsl:value-of select="dc:subject"/>     </xsl:with-param>
   <xsl:with-param name="dc_date">    <xsl:value-of select="dc:date"/>        </xsl:with-param>
   <xsl:with-param name="content">    <xsl:value-of select="content:encoded"/></xsl:with-param>
  </xsl:call-template> 
 </xsl:for-each>
 </ol>
</div>
</xsl:template>

</xsl:stylesheet>
