<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:local="my_uri">
  
<msxsl:script xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
 language="JavaScript" implements-prefix="local">
<![CDATA[
function LocalDate(str){
  dt = new Date(str.item(0).text);
  mm = dt.getMonth() + 1;
  dd = dt.getDate();
  hh = dt.getHours()
  nn = dt.getMinutes()

if (mm < 10) { mm = "0" + mm; }
if (dd < 10) { dd = "0" + dd; }
if (hh < 10) { hh = "0" + hh; }
if (nn < 10) { nn = "0" + nn; }

  return mm + "/" + dd + " " + hh + ":" +nn;
}
]]>
</msxsl:script>

<xsl:template name="item">
  <xsl:param name="log_type"/>
  <xsl:param name="link"/>
  <xsl:param name="title"/>
  <xsl:param name="description"/>
  <xsl:param name="dc_subject"/>
  <xsl:param name="dc_date"/>
  <xsl:param name="content"/>
  <xsl:param name="rg_revday"/>

  <li class="item">
    <div class="itemtitle">
      <span class="{$log_type}">
        <xsl:value-of select="$log_type"/>
      </span>
      <a target="_blank" href="{$link}">
        <xsl:value-of select="$title"/>
      </a>
      M:<xsl:value-of select="local:LocalDate($rg_revday)"/>
      <xsl:if test="$dc_subject != ''">
       [<xsl:value-of select="$dc_subject"/>]
      </xsl:if>
      <xsl:if test="$dc_date != ''">
        (<xsl:value-of select="$dc_date"/>)
       </xsl:if>
    </div>
    <xsl:choose>
    <xsl:when test="$content != ''">
      <div class="itemecoded">
        <xsl:value-of disable-output-escaping="yes" select="$content"/>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <xsl:if test="$description != ''">
        <p class="itemdescription">
         <xsl:value-of select="$description"/>
        </p>
      </xsl:if>
    </xsl:otherwise>
  </xsl:choose>
</li>
</xsl:template>

</xsl:stylesheet>
